#ifndef DIRECTORY_H
#define DIRECTORY_H

#include "bookreader.h"
#include "dirmenubar.h"

#include <qwidget.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qlistview.h>
#include <qmenubar.h>
#include <qpopupmenu.h>

#include <stdio.h>

enum ConfType
{
  Standard, Local, Starting
};

class Directory : public QWidget
{ 
  Q_OBJECT

public:
  Directory( const QString & dir_name = "/", QWidget* parent = 0,
	     const char* name = 0, WFlags fl = 0);
  ~Directory();

protected:
  void resizeEvent(QResizeEvent*);
  void keyPressEvent(QKeyEvent*);
  void changeDir(const QString & );
  void configSetting(ConfType type );

  bool event(QEvent*);

  QLineEdit* dirName;
  QListView* showDir;
  QStringList fileList;
  DirMenuBar* menuBar;
  /*  int bookmarkOn;
  int auto_Bookmark;
  QPopupMenu* optionMenu;
  */
  int cur_dir_num;

  BookReader* br;
  BR_Option option;

signals:
  void closeDir(void);

private slots:
  void fileView(QListViewItem *);

public slots:
  void menuChecked(MenuItems);

  void showDirectory();

  void saveSetting(ConfType type);

  void fileViewClosed();
};



#endif // DIRECTORY_H

