#include "dirmenubar.h"

#include <qapplication.h>
#include <qpe/qpeapplication.h>
#include <qmenudata.h>

#include <stdlib.h>
#include <stdio.h>
#include <string.h>


/* 
 *  Constructs a Example which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 */

DirMenuBar::DirMenuBar( QWidget* parent,  const char* name )
    : QMenuBar( parent, name )
{

  QPopupMenu* fileMenu = new QPopupMenu( this );
  fileMenu->insertItem( "Open",  this, SLOT(fileOpen()) );
  fileMenu->insertItem( "Quit", this, SLOT(progQuit()) );
  QPopupMenu* settingMenu = new QPopupMenu( this );
  settingMenu->insertItem( "Background",  this, SLOT(setBGColor()) );
  settingMenu->insertItem( "Extension", this, SLOT(setExtension()) );
  settingMenu->insertItem( "Scale", this, SLOT(setScale()) );
  settingMenu->insertItem( "Center", this, SLOT(setCenter()) );
  settingMenu->insertItem( "Nibble", this, SLOT(setNibble()) );
  settingMenu->insertItem( "LoadSetting", this, SLOT(loadSetting()) );
  settingMenu->insertItem( "SaveSetting", this, SLOT(saveSetting()) );
  settingMenu->insertItem( "SaveSettingLocal", this, SLOT(saveSettingLocal()) );
  optionMenu = new QPopupMenu( this );
  bmCheck = optionMenu->insertItem( "Bookmark", this,
				       SLOT(bmChecked() ));
  auto_bmCheck = optionMenu->insertItem( "AutoBookmmark", this,
					  SLOT(auto_bmChecked()) );

  insertItem( "&File", fileMenu );  
  insertItem( "&Setting", settingMenu );  
  insertItem( "&Option", optionMenu );

}

/*  
 *  Destroys the object and frees any allocated resources
 */

DirMenuBar::~DirMenuBar()
{
  // no need to delete child widgets, Qt does it all for us
}

bool DirMenuBar::event(QEvent *e)
{
  if(e->type() == QEvent::KeyPress){
    QKeyEvent *k = (QKeyEvent*)e;
    if( k->key() == Key_F11 )
      emit menuChecked( OutFocus );
  }
  return QWidget::event(e);
}

