/***************************************************
      load TIFF routine

    Loading and scaling to scaledImage 16bit QImage

***************************************************/   
#include <sys/types.h> 
#include <string.h>
#include <unistd.h> 
#include <stdlib.h>
#include "loadtiff.h"


static TIFF *image;
static uint32 *raster;
static long imagesize, c, d, e;

int check_if_tiff(char *header)
{
  char tiff_header1[3] = "II";
  char tiff_header2[3] = "MM";

  if((strncmp( header, tiff_header1, 2) == 0) || 
     (strncmp( header, tiff_header2, 2) == 0) )
    return 1;
  else
    return 0;
}

bool loadTIFFInit( const char *filename, int *width, int *height)
{
  // Open the TIFF image
  if((image = TIFFOpen(filename, "r")) == NULL){
    return false;
  }

  // Find the width and height of the image
  TIFFGetField(image, TIFFTAG_IMAGEWIDTH, width);
  TIFFGetField(image, TIFFTAG_IMAGELENGTH, height);
  imagesize = *height * *width + 1;

  return true;
}  

void makeTIFF(Image_Info *iinfo) 
{
  if((raster = (uint32 *) malloc(sizeof(uint32) * imagesize)) == NULL){
    return;
    TIFFClose(image);
  }

  // Read the image into the memory buffer
  if(TIFFReadRGBAImageOriented(image, iinfo->width, iinfo->height, raster,
			       ORIENTATION_TOPLEFT, 0) == 0){
    free(raster);
    TIFFClose(image);
    return;
  }
    // Here I fix the reversal of the image (vertically) and show you
    // how to get the color values from each pixel
  d = 0;
  uint32 *pixel;
  pixel = raster;

  for(e = 0; e < iinfo->height; e++){
    for(c = 0; c < iinfo->width; c++){
      *(iinfo->image)++ = TIFFGetR(*pixel);
      *(iinfo->image)++ = TIFFGetG(*pixel);
      *(iinfo->image)++ = TIFFGetB(*pixel++);
    }
  }

  free(raster);
  TIFFClose(image);
}
